Page MenuHomePhabricator

wikistats: add new wikipedias: kbp, khw, dty and pt.wikimedia
Closed, ResolvedPublic

Description

as can be seen on https://gerrit.wikimedia.org/r/#/c/343572/

new wikipedias "kbp" and "khw" are being added.

add them to wikistats (once wikis are installed/ before?)

edit: also "dty" now

related: Bug: T160865 Bug: T160868 Bug: T161529

also add:

https://pt.wikimedia.org/wiki/P%C3%A1gina_principal added in T126832

Event Timeline

Dzahn created this task.Mar 20 2017, 8:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2017, 8:26 PM
Dzahn triaged this task as Normal priority.Mar 20 2017, 8:26 PM
Dzahn renamed this task from wikistats: add new wikipedias: kbp, khw to wikistats: add new wikipedias: kbp, khw, dty.Mar 28 2017, 12:36 AM
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)Mar 28 2017, 10:12 PM
Dzahn changed the task status from Open to Stalled.Mar 29 2017, 6:06 PM

waiting for those to be installed (createwiki)

Dzahn added a comment.Apr 26 2017, 3:26 AM

added "dty" since it exists now (the other 2 are still incubator redirects as of today)

https://dty.wikipedia.org/wiki/%E0%A4%AE%E0%A5%81%E0%A4%96%E0%A5%8D%E0%A4%AF_%E0%A4%AA%E0%A4%A8%E0%A5%8D%E0%A4%A8%E0%A4%BE


on labs, instance wikistats-cowgirl:

mysql -u root wikistats

MariaDB [wikistats]> insert into wikipedias (prefix,lang,loclang,method) values ('dty','Doteli','डोटेली','8');
Query OK, 1 row affected (0.02 sec)

The local language name was from https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Doteli and then converted to HTML entities using http://konieczny.be/unicode.html.

Then run a manual update to confirm:

dzahn@wikistats-cowgirl:~$ sudo -u wikistatsuser /usr/bin/php /usr/lib/wikistats/update.php wp prefix dty
sent query: 'select * from wikipedias where prefix="dty"'.
A(1/1) - dty.wikipedia.org - calling API: https://dty.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics&format=php&maxlag=5
PHP Notice:  Undefined variable: autofixit in /usr/lib/wikistats/update.php on line 348
-> http answer: 200 -> parsing answer: 0
---> OK - total: 9 good: 0 edits: 18 users: 55 active users: -1 admins: 0 images: 0
PHP Notice:  Undefined index: name in /usr/lib/wikistats/update.php on line 496
---> update wikipedias set total="9",good="0",edits="18",users="55",activeusers="-1",admins="0",images="0",http="200",ts=NOW() where id="317"; 



1 wikis succesfully updated.

The rest will be done by the cron job.

Mentioned in SAL (#wikimedia-labs) [2017-04-26T03:27:46Z] <mutante> added new Wikipedia "dty" - Doteli (T160947)

Dzahn renamed this task from wikistats: add new wikipedias: kbp, khw, dty to wikistats: add new wikipedias: kbp, khw, dty and pt.wikimedia.Apr 27 2017, 3:59 PM
Dzahn updated the task description. (Show Details)

You can do pt.wikimedia too, but the other two are stalled.

kbp added per T160868

MariaDB [wikistats]> insert into wikipedias (prefix,lang,loclang,method) values ("kbp","Kabiye","Kab&#617;y&#603;","8");

Dzahn closed this task as Resolved.Jun 23 2017, 12:01 AM

kbp.wp - added just now
khw.wp - invalid, wasn't created
dty.wp - was alread added
pt.wm - added just now